Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::StartupOptions_out Class Reference

`#include <ImplRepoC.h>`

Collaboration diagram for ImplementationRepository::StartupOptions_out:

[legend]
List of all members.

## Public Methods
| StartupOptions_out (StartupOptions *&)
| StartupOptions_out (StartupOptions_var &)
| StartupOptions_out (const StartupOptions_out &)
StartupOptions_out & | operator= (const StartupOptions_out &)
StartupOptions_out & | operator= (StartupOptions *)
| operator StartupOptions *& ()
StartupOptions *& | ptr (void)
StartupOptions * | operator-> (void)
## Private Methods
void | operator= (const StartupOptions_var &)
## Private Attributes
StartupOptions *& | ptr_

## Constructor & Destructor Documentation

ImplementationRepository::StartupOptions_out::StartupOptions_out | ( | StartupOptions *& |  | ) |

ImplementationRepository::StartupOptions_out::StartupOptions_out | ( | StartupOptions_var & |  | ) |

ImplementationRepository::StartupOptions_out::StartupOptions_out | ( | const StartupOptions_out & |  | ) |

## Member Function Documentation

ImplementationRepository::StartupOptions_out::operator StartupOptions *& | ( |  | ) |

StartupOptions* ImplementationRepository::StartupOptions_out::operator-> | ( | void |  | ) |

void ImplementationRepository::StartupOptions_out::operator= | ( | const StartupOptions_var & |  | ) | `[private]`

StartupOptions_out& ImplementationRepository::StartupOptions_out::operator= | ( | StartupOptions * |  | ) |

StartupOptions_out& ImplementationRepository::StartupOptions_out::operator= | ( | const StartupOptions_out & |  | ) |

StartupOptions*& ImplementationRepository::StartupOptions_out::ptr | ( | void |  | ) |

## Member Data Documentation

StartupOptions*& ImplementationRepository::StartupOptions_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- ImplRepoC.h